FreeMat

- Main Page
- Related Pages

vtkPlaneCollection

Section: Visualization Toolkit Common Classes

# Usage

vtkPlaneCollection is an object that creates and manipulates lists of objects of type vtkPlane.

To create an instance of class vtkPlaneCollection, simply invoke its constructor as follows

      obj = vtkPlaneCollection

# Methods

The class vtkPlaneCollection has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkPlaneCollection class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkPlaneCollection = obj.NewInstance ()`
- `vtkPlaneCollection = obj.SafeDownCast (vtkObject o)`
- `obj.AddItem (vtkPlane )` - Add a plane to the list.
- `vtkPlane = obj.GetNextItem ()` - Get the next plane in the list.
- `vtkPlane = obj.GetItem (int i)` - Get the ith plane in the list.